2010-04-13  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.AssemblyBrowser/DisplayBinding.cs: Fix bug #Bug
	  593622 - assembly browser conflix with wine.

2010-03-22  Lluis Sanchez Gual  <lluis@novell.com>

	* AssemblyInfo.cs:
	* MonoDevelop.AssemblyBrowser.addin.xml: Bumped MD version.

2010-03-19  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.AssemblyBrowser.addin.xml: Remove unrequired
	  assembly import.

2010-03-17  Lluis Sanchez Gual  <lluis@novell.com>

	* Makefile.am:
	* gtk-gui/gui.stetic:
	* MonoDevelop.AssemblyBrowser.csproj:
	* MonoDevelop.AssemblyBrowser/DisplayBinding.cs:
	* MonoDevelop.AssemblyBrowser/NamespaceBuilder.cs:
	* MonoDevelop.AssemblyBrowser/ErrorNodeBuilder.cs:
	* MonoDevelop.AssemblyBrowser/DomTypeNodeBuilder.cs:
	* MonoDevelop.AssemblyBrowser/DomEventNodeBuilder.cs:
	* MonoDevelop.AssemblyBrowser/ResourceNodeBuilder.cs:
	* MonoDevelop.AssemblyBrowser/DomFieldNodeBuilder.cs:
	* MonoDevelop.AssemblyBrowser/AssemblyBrowserView.cs:
	* MonoDevelop.AssemblyBrowser/AssemblyNodeBuilder.cs:
	* MonoDevelop.AssemblyBrowser/ReferenceNodeBuilder.cs:
	* MonoDevelop.AssemblyBrowser/DomMethodNodeBuilder.cs:
	* MonoDevelop.AssemblyBrowser/AssemblyBrowserWidget.cs:
	* MonoDevelop.AssemblyBrowser/DomPropertyNodeBuilder.cs:
	* MonoDevelop.AssemblyBrowser/DomReturnTypeNodeBuilder.cs:
	* MonoDevelop.AssemblyBrowser/BaseTypeFolderNodeBuilder.cs:
	* MonoDevelop.AssemblyBrowser/ResourceFolderNodeBuilder.cs:
	* MonoDevelop.AssemblyBrowser/ReferenceFolderNodeBuilder.cs:
	* MonoDevelop.AssemblyBrowser/ModuleReferenceNodeBuilder.cs:
	* MonoDevelop.AssemblyBrowser/ModuleDefinitionNodeBuilder.cs:
	* gtk-gui/MonoDevelop.AssemblyBrowser.AssemblyBrowserWidget.cs:
	  Merged MD.Projects into MD.Core, and MD.Projects.Gui,
	  MD.Core.Gui and MD.Components into MD.Ide.

2010-03-05  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.AssemblyBrowser.csproj: Don't local-copy project
	  refs, as it duplicates assemblies and breaks running on
	  .NET.

2010-03-01  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.AssemblyBrowser/DomMethodNodeBuilder.cs: Nicer
	  error message and kill console spew.

2010-03-01  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.AssemblyBrowser/DomTypeNodeBuilder.cs:
	* MonoDevelop.AssemblyBrowser/DomPropertyNodeBuilder.cs: Fixed
	  'Bug 583515 - No code completion for set-only properties'.

2010-03-01  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.AssemblyBrowser/DomTypeNodeBuilder.cs: Delegates
	  are now formatted like c# in c# mode.

2010-02-25  Mike Krüger  <mkrueger@novell.com>

	* gtk-gui/gui.stetic:
	* MonoDevelop.AssemblyBrowser/DocumentationPanel.cs:
	* MonoDevelop.AssemblyBrowser/AssemblyBrowserWidget.cs:
	* gtk-gui/MonoDevelop.AssemblyBrowser.AssemblyBrowserWidget.cs:
	  Fixed 'Bug 583017 - Wrong font in the Assembly Browser.' /
	  applied patch from Alexander Cherniuk <ts33kr@gmail.com>


2010-01-29  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.AssemblyBrowser.addin.xml:
	* MonoDevelop.AssemblyBrowser/AssemblyBrowserView.cs: Added
	  FindDerivedClasses command.

2010-01-28  Lluis Sanchez Gual  <lluis@novell.com>

	* gtk-gui/generated.cs:
	* gtk-gui/MonoDevelop.AssemblyBrowser.AssemblyBrowserWidget.cs:
	  Flush.

2010-01-26  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.AssemblyBrowser.addin.xml:
	* MonoDevelop.AssemblyBrowser/DisplayBinding.cs: Track
	  DisplayBinding API.

2010-01-20  Lluis Sanchez Gual  <lluis@novell.com>

	* Makefile.am:
	* MonoDevelop.AssemblyBrowser.csproj: Fix project reference.

2010-01-18  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.AssemblyBrowser/DomMethodNodeBuilder.cs:
	* MonoDevelop.AssemblyBrowser/ColoredCSharpFormatter.cs: fixed
	  'Bug 571177 - Assembly browser text widget issues'.

2010-01-16  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.AssemblyBrowser/DomTypeNodeBuilder.cs: fixed
	  'Bug 571178 - Assembly browser should show protected
	  members'.

2010-01-15  Michael Hutchinson  <mhutchinson@novell.com>

	* Makefile.am:
	* MonoDevelop.AssemblyBrowser.csproj:
	* MonoDevelop.AssemblyBrowser.addin.xml: Fix the Cecil
	  decompiler in the build. Make building MD with Makefiles
	  work again, and puts the decompiler properly in its own dll
	  instead of merging it into a franken-Cecil.

2010-01-15  Mike Krüger  <mkrueger@novell.com>

	* Makefile.am:
	* MonoDevelop.AssemblyBrowser.csproj:
	* MonoDevelop.AssemblyBrowser/Decompiler.cs:
	* MonoDevelop.AssemblyBrowser/DomMethodNodeBuilder.cs:
	* MonoDevelop.AssemblyBrowser/ColoredCSharpFormatter.cs: Now
	  using the cecil decompiler.

2010-01-14  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.AssemblyBrowser/DomReturnTypeNodeBuilder.cs:
	  Implemented go to base type.

2010-01-05  Michael Hutchinson  <mhutchinson@novell.com>

	* gtk-gui/gui.stetic:
	* MonoDevelop.AssemblyBrowser/AssemblyBrowserWidget.cs:
	* gtk-gui/MonoDevelop.AssemblyBrowser.AssemblyBrowserWidget.cs:
	  Reduce spacing and tweak borders.

2009-12-16  Michael Hutchinson  <mhutchinson@novell.com>

	* gtk-gui/gui.stetic:
	* gtk-gui/generated.cs:
	* MonoDevelop.AssemblyBrowser/AssemblyBrowserWidget.cs:
	* gtk-gui/MonoDevelop.AssemblyBrowser.AssemblyBrowserWidget.cs:
	  Remove the cancel-search button, because it duplicates the
	  function clear-textbox button.

2009-12-16  Michael Hutchinson  <mhutchinson@novell.com>

	* Makefile.am:
	* gtk-gui/gui.stetic:
	* gtk-gui/objects.xml:
	* MonoDevelop.AssemblyBrowser.csproj:
	* MonoDevelop.AssemblyBrowser/SearchEntry.cs:
	* MonoDevelop.AssemblyBrowser/HoverImageButton.cs:
	* gtk-gui/MonoDevelop.AssemblyBrowser.AssemblyBrowserWidget.cs:
	  Moved the SearchEntry to MonoDevelop.Components.

2009-12-16  Michael Hutchinson  <mhutchinson@novell.com>

	* gtk-gui/gui.stetic:
	* gtk-gui/objects.xml:
	* gtk-gui/MonoDevelop.AssemblyBrowser.AssemblyBrowserWidget.cs:
	  Fix layout of the navigation bar.

2009-12-04  Mike Krüger  <mkrueger@novell.com>

	* Makefile.am:
	* gtk-gui/gui.stetic:
	* gtk-gui/objects.xml:
	* gtk-gui/generated.cs:
	* MonoDevelop.AssemblyBrowser.csproj:
	* MonoDevelop.AssemblyBrowser/SearchEntry.cs:
	* MonoDevelop.AssemblyBrowser/NamespaceBuilder.cs:
	* MonoDevelop.AssemblyBrowser/HoverImageButton.cs:
	* MonoDevelop.AssemblyBrowser/DomTypeNodeBuilder.cs:
	* MonoDevelop.AssemblyBrowser/DocumentationPanel.cs:
	* MonoDevelop.AssemblyBrowser/AssemblyBrowserWidget.cs:
	* gtk-gui/MonoDevelop.AssemblyBrowser.AssemblyBrowserWidget.cs:
	  Overworked the assembly browser GUI.

2009-11-12  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.AssemblyBrowser/Decompiler.cs: Fixed 'Bug 554836
	  - error in assembly browser while showing C# code'.

2009-10-30  Lluis Sanchez Gual  <lluis@novell.com>

	* AssemblyInfo.cs:
	* MonoDevelop.AssemblyBrowser.addin.xml: Bump MD version.

2009-10-29  Lluis Sanchez Gual  <lluis@novell.com>

	* gtk-gui/generated.cs:
	* MonoDevelop.AssemblyBrowser.csproj:
	* gtk-gui/MonoDevelop.AssemblyBrowser.AssemblyBrowserWidget.cs:
	  Flush.

2009-10-09  Mike Krüger  <mkrueger@novell.com>

	* gtk-gui/gui.stetic:
	* gtk-gui/MonoDevelop.AssemblyBrowser.AssemblyBrowserWidget.cs:
	  moved toolbar.

2009-10-08  Ankit Jain  <jankit@novell.com>

	* MonoDevelop.AssemblyBrowser.csproj: Use \ instead of '/'
	in the Import.

2009-10-08  Ankit Jain  <jankit@novell.com>

	* MonoDevelop.AssemblyBrowser.csproj: Mark the Refactoring
	project reference as Private.

2009-10-08  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.AssemblyBrowser/AssemblyBrowserWidget.cs: set
	  correct inspect widget.

2009-10-07  Mike Krüger  <mkrueger@novell.com>

	* gtk-gui/gui.stetic:
	* gtk-gui/objects.xml:
	* MonoDevelop.AssemblyBrowser/DisplayBinding.cs:
	* MonoDevelop.AssemblyBrowser/NamespaceBuilder.cs:
	* MonoDevelop.AssemblyBrowser/DomTypeNodeBuilder.cs:
	* MonoDevelop.AssemblyBrowser/AssemblyNodeBuilder.cs:
	* MonoDevelop.AssemblyBrowser/DomEventNodeBuilder.cs:
	* MonoDevelop.AssemblyBrowser/DomFieldNodeBuilder.cs:
	* MonoDevelop.AssemblyBrowser/DomMethodNodeBuilder.cs:
	* MonoDevelop.AssemblyBrowser/ReferenceNodeBuilder.cs:
	* MonoDevelop.AssemblyBrowser/AssemblyBrowserWidget.cs:
	* MonoDevelop.AssemblyBrowser/DomPropertyNodeBuilder.cs:
	* MonoDevelop.AssemblyBrowser/DomReturnTypeNodeBuilder.cs:
	* MonoDevelop.AssemblyBrowser/BaseTypeFolderNodeBuilder.cs:
	* MonoDevelop.AssemblyBrowser/ReferenceFolderNodeBuilder.cs:
	* MonoDevelop.AssemblyBrowser/ModuleDefinitionNodeBuilder.cs:
	* gtk-gui/MonoDevelop.AssemblyBrowser.AssemblyBrowserWidget.cs:
	* MonoDevelop.AssemblyBrowser/AssemblyBrowserTypeNodeBuilder.cs:
	  Worked on memory leaks.

2009-10-07  Lluis Sanchez Gual  <lluis@novell.com>

	* AssemblyInfo.cs:
	* MonoDevelop.AssemblyBrowser.addin.xml: Bump MD version.

2009-10-07  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.AssemblyBrowser/AssemblyBrowserView.cs:
	* MonoDevelop.AssemblyBrowser/AssemblyBrowserWidget.cs: cancel
	  search worken on destroy.

2009-10-07  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.AssemblyBrowser/DomMethodNodeBuilder.cs:
	* MonoDevelop.AssemblyBrowser/AssemblyBrowserWidget.cs: Track
	  API changes.

2009-10-07  Mike Krüger  <mkrueger@novell.com>

	* gtk-gui/objects.xml: 

	* Makefile.am:
	* MonoDevelop.AssemblyBrowser.csproj:
	* MonoDevelop.AssemblyBrowser/NamespaceBuilder.cs:
	* MonoDevelop.AssemblyBrowser/DomTypeNodeBuilder.cs:
	* MonoDevelop.AssemblyBrowser/DomEventNodeBuilder.cs:
	* MonoDevelop.AssemblyBrowser/DomFieldNodeBuilder.cs:
	* MonoDevelop.AssemblyBrowser/AssemblyNodeBuilder.cs:
	* MonoDevelop.AssemblyBrowser/ReferenceNodeBuilder.cs:
	* MonoDevelop.AssemblyBrowser/DomMethodNodeBuilder.cs:
	* MonoDevelop.AssemblyBrowser/AssemblyBrowserWidget.cs:
	* MonoDevelop.AssemblyBrowser/DomPropertyNodeBuilder.cs:
	* MonoDevelop.AssemblyBrowser/DomReturnTypeNodeBuilder.cs:
	* MonoDevelop.AssemblyBrowser/BaseTypeFolderNodeBuilder.cs:
	* MonoDevelop.AssemblyBrowser/ReferenceFolderNodeBuilder.cs:
	* MonoDevelop.AssemblyBrowser/ModuleDefinitionNodeBuilder.cs:
	* MonoDevelop.AssemblyBrowser/AssemblyBrowserTypeNodeBuilder.cs:
	  Worked on assembly browser.

2009-10-06  Mike Krüger  <mkrueger@novell.com>

	* Makefile.am:
	* MonoDevelop.AssemblyBrowser.csproj:
	* MonoDevelop.AssemblyBrowser/NamespaceBuilder.cs:
	* MonoDevelop.AssemblyBrowser/DomTypeNodeBuilder.cs:
	* MonoDevelop.AssemblyBrowser/DocumentationPanel.cs:
	* MonoDevelop.AssemblyBrowser/DomFieldNodeBuilder.cs:
	* MonoDevelop.AssemblyBrowser/DomEventNodeBuilder.cs:
	* MonoDevelop.AssemblyBrowser/AssemblyNodeBuilder.cs:
	* MonoDevelop.AssemblyBrowser/DomMethodNodeBuilder.cs:
	* MonoDevelop.AssemblyBrowser/AssemblyBrowserWidget.cs:
	* MonoDevelop.AssemblyBrowser/DomPropertyNodeBuilder.cs:
	* MonoDevelop.AssemblyBrowser/ModuleDefinitionNodeBuilder.cs:
	* MonoDevelop.AssemblyBrowser/IAssemblyBrowserNodeBuilder.cs:
	  Added documentation panel.

2009-10-06  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.AssemblyBrowser/BaseTypeFolder.cs:
	* MonoDevelop.AssemblyBrowser/AssemblyBrowserWidget.cs: turned
	  off tree disposing.

2009-10-06  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.AssemblyBrowser/Namespace.cs: took out type
	  dispose.

2009-10-06  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.AssemblyBrowser/AssemblyBrowserWidget.cs: took
	  out dom dispose chain.

2009-10-05  Mike Krüger  <mkrueger@novell.com>

	* gtk-gui/gui.stetic: 

	* MonoDevelop.AssemblyBrowser/Namespace.cs:
	* MonoDevelop.AssemblyBrowser/BaseTypeFolder.cs:
	* MonoDevelop.AssemblyBrowser/ResourceFolder.cs:
	* MonoDevelop.AssemblyBrowser/ReferenceFolder.cs:
	* MonoDevelop.AssemblyBrowser/NamespaceBuilder.cs:
	* MonoDevelop.AssemblyBrowser/DomTypeNodeBuilder.cs:
	* MonoDevelop.AssemblyBrowser/AssemblyBrowserView.cs:
	* MonoDevelop.AssemblyBrowser/AssemblyBrowserWidget.cs:
	* MonoDevelop.AssemblyBrowser/BaseTypeFolderNodeBuilder.cs:
	* MonoDevelop.AssemblyBrowser/ResourceFolderNodeBuilder.cs:
	* MonoDevelop.AssemblyBrowser/ReferenceFolderNodeBuilder.cs:
	  Added dispose chain.

2009-09-21  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.AssemblyBrowser/DomTypeNodeBuilder.cs: Renamed
	  IDomVisitable -> INode

2009-08-31  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.AssemblyBrowser.addin.xml: Don't use the text
	  editor display binding id as reference for registering the
	  designer view. Removed unused supportedFormats attribute.

2009-08-27  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.AssemblyBrowser/NamespaceBuilder.cs:
	* MonoDevelop.AssemblyBrowser/DomTypeNodeBuilder.cs: fixed
	  typo.

2009-08-27  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.AssemblyBrowser/Error.cs:
	* MonoDevelop.AssemblyBrowser/Namespace.cs:
	* MonoDevelop.AssemblyBrowser/BaseTypeFolder.cs:
	* MonoDevelop.AssemblyBrowser/ResourceFolder.cs:
	* MonoDevelop.AssemblyBrowser/ReferenceFolder.cs:
	* MonoDevelop.AssemblyBrowser/NamespaceBuilder.cs:
	* MonoDevelop.AssemblyBrowser/DomTypeNodeBuilder.cs:
	* MonoDevelop.AssemblyBrowser/ReferenceNodeBuilder.cs:
	* MonoDevelop.AssemblyBrowser/AssemblyBrowserWidget.cs: Worked
	  on assembly browser.

2009-08-27  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.AssemblyBrowser/AssemblyBrowserWidget.cs: Fixed
	  compiler warnings.

2009-08-26  Lluis Sanchez Gual  <lluis@novell.com>

	* gtk-gui/gui.stetic: Update gtk# dependency.

2009-08-26  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.AssemblyBrowser.csproj: Updated dependencies. We
	  now depend on gtk# 2.12.8, Mono 2.4, and Mono.Addins 0.4.

2009-08-13  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.AssemblyBrowser/AssemblyBrowserWidget.cs:
	* MonoDevelop.AssemblyBrowser/ReferenceFolderNodeBuilder.cs:
	  Use the new AssemblyContext class to query and resolve
	  assemblies.

2009-08-07  Mike Krüger  <mkrueger@novell.com>

	* Makefile.am:
	* gtk-gui/gui.stetic:
	* MonoDevelop.AssemblyBrowser.csproj:
	* MonoDevelop.AssemblyBrowser.addin.xml:
	* MonoDevelop.AssemblyBrowser/DomTypeNodeBuilder.cs:
	* MonoDevelop.AssemblyBrowser/AssemblyBrowserView.cs:
	* MonoDevelop.AssemblyBrowser/AssemblyBrowserWidget.cs: Added
	  find references command to the assembly browser context
	  menu.

2009-07-31  Lluis Sanchez Gual  <lluis@novell.com>

	* gtk-gui/gui.stetic: Flush.

2009-06-30  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.AssemblyBrowser/AssemblyBrowserWidget.cs: fixed
	  "Bug 517032 - Crash when using search in assembly browser".

2009-06-30  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.AssemblyBrowser/AssemblyBrowserWidget.cs: Fixed
	  "Bug 512533 - Assembly browser sometimes crashes".

2009-06-16  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.AssemblyBrowser/AssemblyBrowserWidget.cs: Fixed
	  crash case reported in "Bug 513383 - Going to declaration of
	  extension method of System.Drawing.Bitmap crashes MD badly".

2009-06-15  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.AssemblyBrowser/AssemblyBrowserWidget.cs:
	* MonoDevelop.AssemblyBrowser/ReferenceFolderNodeBuilder.cs:
	  Track assembly lookup APIs.

2009-04-29  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.AssemblyBrowser/DisplayBinding.cs: Track API
	  changes.

2009-04-29  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.AssemblyBrowser/DisplayBinding.cs: Track API
	  changes.

2009-04-20  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.AssemblyBrowser/DomTypeNodeBuilder.cs:
	* MonoDevelop.AssemblyBrowser/DomEventNodeBuilder.cs:
	* MonoDevelop.AssemblyBrowser/DomFieldNodeBuilder.cs:
	* MonoDevelop.AssemblyBrowser/DomMethodNodeBuilder.cs:
	* MonoDevelop.AssemblyBrowser/AssemblyBrowserWidget.cs:
	* MonoDevelop.AssemblyBrowser/DomPropertyNodeBuilder.cs:
	  Renamed PixbufService to ImageService.

2009-04-20  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.AssemblyBrowser/DomTypeNodeBuilder.cs:
	* MonoDevelop.AssemblyBrowser/DomEventNodeBuilder.cs:
	* MonoDevelop.AssemblyBrowser/DomFieldNodeBuilder.cs:
	* MonoDevelop.AssemblyBrowser/DomMethodNodeBuilder.cs:
	* MonoDevelop.AssemblyBrowser/AssemblyBrowserWidget.cs:
	* MonoDevelop.AssemblyBrowser/DomPropertyNodeBuilder.cs: Track
	  API changes.

2009-04-17  Mike Kestner  <mkestner@novell.com>

	* MonoDevelop.AssemblyBrowser.csproj: don't require specific
	gtk-sharp version.

2009-04-15  Lluis Sanchez Gual  <lluis@novell.com>

	* AssemblyInfo.cs:
	* MonoDevelop.AssemblyBrowser.addin.xml: Bump MD version.

2009-04-15  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.AssemblyBrowser/AssemblyBrowserWidget.cs:
	* MonoDevelop.AssemblyBrowser/ReferenceFolderNodeBuilder.cs:
	  Track api changes to support multiple target runtimes.

2009-03-27  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.AssemblyBrowser/DomMethodNodeBuilder.cs: fixed
	  some output issues in ilasm view.

2009-03-13  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.AssemblyBrowser.csproj: Don't local-copy project
	  refs.

2009-03-13  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.AssemblyBrowser.csproj: Moved text editor to
	  core

2009-03-04  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.AssemblyBrowser/DomTypeNodeBuilder.cs:
	  Constructors are not longer filtered out.

2009-03-03  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.AssemblyBrowser/DomMethodNodeBuilder.cs:
	* MonoDevelop.AssemblyBrowser/AssemblyBrowserWidget.cs: Worked
	  on 'Bug 479976 - Links in assembly browser are only shown
	  for intrinsic types'.

2009-02-26  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.AssemblyBrowser.csproj: Flush.

2009-02-25  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.AssemblyBrowser/AssemblyBrowserWidget.cs:
	  Changed override Destroy --> override OnDestroyed.

2009-02-25  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.AssemblyBrowser/AssemblyBrowserView.cs:
	* MonoDevelop.AssemblyBrowser/AssemblyBrowserWidget.cs: Worked
	  on ressource de-allocation.

2009-02-24  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.AssemblyBrowser/AssemblyBrowserWidget.cs: open
	  is now done with a timeout handler.

2009-02-20  Michael Hutchinson  <mhutchinson@novell.com>

	* Makefile.am:
	* MonoDevelop.AssemblyBrowser.csproj: Enable building without
	  make. Add System.Core reference, as it's not implicit in MD
	  builds.

2009-02-20  Mike Krüger  <mkrueger@novell.com>

	* gtk-gui/gui.stetic: 

	* MonoDevelop.AssemblyBrowser/AssemblyBrowserWidget.cs:
	* gtk-gui/MonoDevelop.AssemblyBrowser.AssemblyBrowserWidget.cs:
	  implmented forward/backward navigation. shift+click/middle
	  click now opens a reference in a new window.

2009-02-20  Mike Krüger  <mkrueger@novell.com>

	* gtk-gui/gui.stetic: 

	* MonoDevelop.AssemblyBrowser/AssemblyNodeBuilder.cs:
	* MonoDevelop.AssemblyBrowser/AssemblyBrowserWidget.cs:
	* MonoDevelop.AssemblyBrowser/ModuleDefinitionNodeBuilder.cs:
	  module node now gets expanded + module "decompiliation view"
	  now shows a list of all containing namespaces.

2009-02-17  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.AssemblyBrowser/AssemblyBrowserWidget.cs:
	* MonoDevelop.AssemblyBrowser/ReferenceFolderNodeBuilder.cs:
	  Track api changes.

2009-02-08  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.AssemblyBrowser.csproj: Remove more inadvertent
	  local copying of references.

2009-02-06  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.AssemblyBrowser.mdp:
	* MonoDevelop.AssemblyBrowser.csproj: Migrated to MSBuild file
	  format.

2009-02-03  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.AssemblyBrowser/NamespaceBuilder.cs:
	* MonoDevelop.AssemblyBrowser/DomTypeNodeBuilder.cs: Track
	  renamings.

2009-02-03  Lluis Sanchez Gual  <lluis@novell.com>

	* AssemblyInfo.cs:
	* MonoDevelop.AssemblyBrowser.addin.xml: Bump MD version.

2009-02-03  Lluis Sanchez Gual  <lluis@novell.com>

	* gtk-gui/gui.stetic: Flush.

2009-02-01  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.AssemblyBrowser/AssemblyBrowserWidget.cs: Track
	  TextEditorOptions API changes.

2009-01-26  Michael Hutchinson  <mhutchinson@novell.com>

	* gtk-gui/gui.stetic:
	* MonoDevelop.AssemblyBrowser.mdp: Flush project format changes.

2009-01-23  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.AssemblyBrowser/DomTypeNodeBuilder.cs:
	* MonoDevelop.AssemblyBrowser/DomFieldNodeBuilder.cs:
	* MonoDevelop.AssemblyBrowser/DomEventNodeBuilder.cs:
	* MonoDevelop.AssemblyBrowser/DomMethodNodeBuilder.cs:
	* MonoDevelop.AssemblyBrowser/DomPropertyNodeBuilder.cs: Assembly
	browser now shows custom attributes.

2009-01-22  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.AssemblyBrowser/AssemblyBrowserWidget.cs: Remove property
	changed event handler on dispose.

2009-01-15  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.AssemblyBrowser/DomTypeNodeBuilder.cs:
	* MonoDevelop.AssemblyBrowser/DomEventNodeBuilder.cs: Show constructors
	in type view.

2009-01-15  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.AssemblyBrowser/Decompiler.cs:
	* MonoDevelop.AssemblyBrowser/NamespaceBuilder.cs:
	* MonoDevelop.AssemblyBrowser/DomTypeNodeBuilder.cs:
	* MonoDevelop.AssemblyBrowser/DomMethodNodeBuilder.cs:
	* MonoDevelop.AssemblyBrowser/AssemblyBrowserWidget.cs: Worked on
	assembly browser output now looks like syntax highlighting &
	clickable types. (fixing Bug 456306 - "Assembly Browser: types should
	be clickable.")

2009-01-14  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.AssemblyBrowser/DomTypeNodeBuilder.cs:
	* MonoDevelop.AssemblyBrowser/AssemblyBrowserWidget.cs: Added loading of
	references when clicking on types that are not loaded.

2009-01-14  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.AssemblyBrowser/NamespaceBuilder.cs:
	* MonoDevelop.AssemblyBrowser/DomTypeNodeBuilder.cs:
	* MonoDevelop.AssemblyBrowser/ReferenceNodeBuilder.cs:
	* MonoDevelop.AssemblyBrowser/AssemblyBrowserWidget.cs:
	* MonoDevelop.AssemblyBrowser/ReferenceFolderNodeBuilder.cs: Types are
	now clickable.

2009-01-14  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.AssemblyBrowser/NamespaceBuilder.cs:
	* MonoDevelop.AssemblyBrowser/ModuleDefinitionNodeBuilder.cs: fixed "Bug
	456308 - Assembly Browser: namespace browser".

2009-01-14  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.AssemblyBrowser/DomTypeNodeBuilder.cs:
	* MonoDevelop.AssemblyBrowser/AssemblyBrowserWidget.cs:
	* gtk-gui/MonoDevelop.AssemblyBrowser.AssemblyBrowserWidget.cs: Added
	link support (Loading of referenced links still missing).

2009-01-13  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.AssemblyBrowser/DomTypeNodeBuilder.cs: Track api changes.

2009-01-12  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.AssemblyBrowser/DisplayBinding.cs:
	* MonoDevelop.AssemblyBrowser/AssemblyBrowserView.cs: Only "one" browser
	now can be open.

2009-01-07  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.AssemblyBrowser/AssemblyBrowserWidget.cs: Added support
	for generic help urls.

2008-12-12  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.AssemblyBrowser.mdp: All projects now require fx 3.5.

2008-12-04  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.AssemblyBrowser/DisplayBinding.cs: In
	CanCreateContentForFile, return true for assemblies.

2008-12-04  Lluis Sanchez Gual  <lluis@novell.com>

	* Makefile.am: Make it work for parallel build.

2008-12-02  Michael Hutchinson  <mhutchinson@novell.com>

	* Makefile.am:
	* AssemblyInfo.cs: Add AssemblyInfo.cs files that are autogenerated from
	the addin manifests.

2008-11-29  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.AssemblyBrowser/DomTypeNodeBuilder.cs:
	* MonoDevelop.AssemblyBrowser/DomEventNodeBuilder.cs:
	* MonoDevelop.AssemblyBrowser/DomFieldNodeBuilder.cs:
	* MonoDevelop.AssemblyBrowser/DomMethodNodeBuilder.cs:
	* MonoDevelop.AssemblyBrowser/DomPropertyNodeBuilder.cs:
	* MonoDevelop.AssemblyBrowser/DomReturnTypeNodeBuilder.cs: renamed
	emitmarkup.

2008-11-27  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.AssemblyBrowser/DomTypeNodeBuilder.cs: Changed postprocess
	synopsis.

2008-11-27  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.AssemblyBrowser/DomTypeNodeBuilder.cs:
	* MonoDevelop.AssemblyBrowser/DomFieldNodeBuilder.cs:
	* MonoDevelop.AssemblyBrowser/DomEventNodeBuilder.cs:
	* MonoDevelop.AssemblyBrowser/DomMethodNodeBuilder.cs:
	* MonoDevelop.AssemblyBrowser/DomPropertyNodeBuilder.cs: Worked on
	assembly browser.

2008-11-26  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.AssemblyBrowser/Decompiler.cs:
	* MonoDevelop.AssemblyBrowser/NamespaceBuilder.cs:
	* MonoDevelop.AssemblyBrowser/DomTypeNodeBuilder.cs:
	* MonoDevelop.AssemblyBrowser/DomMethodNodeBuilder.cs:
	* MonoDevelop.AssemblyBrowser/AssemblyBrowserWidget.cs:
	* MonoDevelop.AssemblyBrowser/DomPropertyNodeBuilder.cs: Worked on
	assembly browser.

2008-11-11  Mike Krüger  <mike@icsharpcode.net>

	* MonoDevelop.AssemblyBrowser/AssemblyBrowserWidget.cs: removed the
	documentation tab out of the assembly browser.

2008-11-05  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.AssemblyBrowser.addin.xml: Bump MD version.

2008-10-13  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.AssemblyBrowser/Reference.cs:
	* MonoDevelop.AssemblyBrowser/ReferenceNodeBuilder.cs:
	* MonoDevelop.AssemblyBrowser/AssemblyBrowserWidget.cs:
	* MonoDevelop.AssemblyBrowser/ReferenceFolderNodeBuilder.cs: Worked on
	reference loading.

2008-10-10  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.AssemblyBrowser/NamespaceBuilder.cs:
	* MonoDevelop.AssemblyBrowser/DomTypeNodeBuilder.cs:
	* MonoDevelop.AssemblyBrowser/DomEventNodeBuilder.cs:
	* MonoDevelop.AssemblyBrowser/DomFieldNodeBuilder.cs:
	* MonoDevelop.AssemblyBrowser/AssemblyNodeBuilder.cs:
	* MonoDevelop.AssemblyBrowser/AssemblyBrowserWidget.cs:
	* MonoDevelop.AssemblyBrowser/DomPropertyNodeBuilder.cs:
	* MonoDevelop.AssemblyBrowser/IAssemblyBrowserNodeBuilder.cs:
	* MonoDevelop.AssemblyBrowser/ModuleDefinitionNodeBuilder.cs:
	* gtk-gui/MonoDevelop.AssemblyBrowser.AssemblyBrowserWidget.cs: Worked
	on assembly browser

2008-10-08  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.AssemblyBrowser/AssemblyBrowserView.cs:
	* MonoDevelop.AssemblyBrowser/DomMethodNodeBuilder.cs:
	* MonoDevelop.AssemblyBrowser/AssemblyBrowserWidget.cs:
	* MonoDevelop.AssemblyBrowser/DomPropertyNodeBuilder.cs:
	* MonoDevelop.AssemblyBrowser/ModuleDefinitionNodeBuilder.cs: Worked on
	assembly browser.

2008-09-24  Mike Krüger <mkrueger@novell.com> 

	* gtk-gui/MonoDevelop.AssemblyBrowser.AssemblyBrowserWidget.cs,
	  MonoDevelop.AssemblyBrowser/Decompiler.cs,
	  MonoDevelop.AssemblyBrowser/AssemblyBrowserWidget.cs,
	  MonoDevelop.AssemblyBrowser/DomMethodNodeBuilder.cs,
	  MonoDevelop.AssemblyBrowser/DomEventNodeBuilder.cs,
	  MonoDevelop.AssemblyBrowser/DomReturnTypeNodeBuilder.cs,
	  MonoDevelop.AssemblyBrowser/DomTypeNodeBuilder.cs,
	  MonoDevelop.AssemblyBrowser/DomFieldNodeBuilder.cs,
	  MonoDevelop.AssemblyBrowser/DisplayBinding.cs,
	  MonoDevelop.AssemblyBrowser/DomPropertyNodeBuilder.cs,
	  MonoDevelop.AssemblyBrowser/ReferenceFolderNodeBuilder.cs: Worked
	  on assembly browser, removed debug messages.

2008-09-24  Mike Krüger <mkrueger@novell.com> 

	* gtk-gui/generated.cs,
	  gtk-gui/MonoDevelop.AssemblyBrowser.AssemblyBrowserWidget.cs,
	  gtk-gui/gui.stetic: Removed unnecessary label.

2008-09-22  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.AssemblyBrowser/AssemblyBrowserWidget.cs,
	  MonoDevelop.AssemblyBrowser/DomMethodNodeBuilder.cs,
	  MonoDevelop.AssemblyBrowser/DomTypeNodeBuilder.cs,
	  MonoDevelop.AssemblyBrowser/DomReturnTypeNodeBuilder.cs,
	  MonoDevelop.AssemblyBrowser/DomEventNodeBuilder.cs,
	  MonoDevelop.AssemblyBrowser/DomFieldNodeBuilder.cs,
	  MonoDevelop.AssemblyBrowser/DomPropertyNodeBuilder.cs: fixed 'Bug
	  412704 - Assembly browser does not escape type names, breaking
	  markup'.

2008-09-12  Lluis Sanchez Gual <lluis@novell.com> 

	* gtk-gui/generated.cs,
	  gtk-gui/MonoDevelop.AssemblyBrowser.AssemblyBrowserWidget.cs,
	  MonoDevelop.AssemblyBrowser.mdp: Updated generated code.

2008-09-10  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.AssemblyBrowser/AssemblyBrowserWidget.cs: Changed
	  compilation unit/document meta information interface.

2008-09-05  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.AssemblyBrowser/DomPropertyNodeBuilder.cs: some changed
	  due dom changes.

2008-09-04  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.AssemblyBrowser/AssemblyBrowserWidget.cs: Renamed
	  MonoDevelopTreeView to ExtensibleTreeView.

2008-09-04  Lluis Sanchez Gual <lluis@novell.com> 

	* gtk-gui/objects.xml,
	  MonoDevelop.AssemblyBrowser/ModuleDefinitionNodeBuilder.cs,
	  MonoDevelop.AssemblyBrowser/ModuleReferenceNodeBuilder.cs,
	  MonoDevelop.AssemblyBrowser/BaseTypeFolderNodeBuilder.cs,
	  MonoDevelop.AssemblyBrowser/AssemblyBrowserWidget.cs,
	  MonoDevelop.AssemblyBrowser/AssemblyNodeBuilder.cs,
	  MonoDevelop.AssemblyBrowser/DomMethodNodeBuilder.cs,
	  MonoDevelop.AssemblyBrowser/DomReturnTypeNodeBuilder.cs,
	  MonoDevelop.AssemblyBrowser/DomEventNodeBuilder.cs,
	  MonoDevelop.AssemblyBrowser/DomTypeNodeBuilder.cs,
	  MonoDevelop.AssemblyBrowser/DomFieldNodeBuilder.cs,
	  MonoDevelop.AssemblyBrowser/ResourceFolderNodeBuilder.cs,
	  MonoDevelop.AssemblyBrowser/DomPropertyNodeBuilder.cs,
	  MonoDevelop.AssemblyBrowser/NamespaceBuilder.cs,
	  MonoDevelop.AssemblyBrowser/ResourceNodeBuilder.cs,
	  MonoDevelop.AssemblyBrowser/ErrorNodeBuilder.cs,
	  MonoDevelop.AssemblyBrowser/ReferenceFolderNodeBuilder.cs,
	  MonoDevelop.AssemblyBrowser/IAssemblyBrowserNodeBuilder.cs: Moved
	  the extensible tree view to its own directory.

2008-08-26  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.AssemblyBrowser/AssemblyBrowserWidget.cs: Fixing
	  compilation error.

2008-07-27  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.AssemblyBrowser/ModuleDefinitionNodeBuilder.cs,
	  MonoDevelop.AssemblyBrowser/AssemblyNodeBuilder.cs,
	  MonoDevelop.AssemblyBrowser/DomMethodNodeBuilder.cs,
	  MonoDevelop.AssemblyBrowser/DomTypeNodeBuilder.cs,
	  MonoDevelop.AssemblyBrowser/DomEventNodeBuilder.cs,
	  MonoDevelop.AssemblyBrowser/DomReturnTypeNodeBuilder.cs,
	  MonoDevelop.AssemblyBrowser/DomFieldNodeBuilder.cs,
	  MonoDevelop.AssemblyBrowser/DomPropertyNodeBuilder.cs,
	  MonoDevelop.AssemblyBrowser/NamespaceBuilder.cs: Worked on code
	  completion/new dom.

2008-07-17  Mike Krüger <mkrueger@novell.com> 

	* gtk-gui/MonoDevelop.AssemblyBrowser.AssemblyBrowserWidget.cs,
	  MonoDevelop.AssemblyBrowser/AssemblyBrowserWidget.cs: Worked on
	  documentation view.

2008-07-15  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.AssemblyBrowser/ModuleDefinitionNodeBuilder.cs: some dom
	  changes.

2008-07-08  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.AssemblyBrowser/ModuleDefinitionNodeBuilder.cs: API
	  change.

2008-06-06  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.AssemblyBrowser.Dom/DomCecilCompilationUnit.cs,
	  MonoDevelop.AssemblyBrowser.Dom/DomCecilMethod.cs,
	  MonoDevelop.AssemblyBrowser.Dom/DomCecilParameter.cs,
	  MonoDevelop.AssemblyBrowser.Dom/DomCecilType.cs,
	  MonoDevelop.AssemblyBrowser.Dom/DomCecilEvent.cs,
	  MonoDevelop.AssemblyBrowser.Dom/DomCecilReturnType.cs,
	  MonoDevelop.AssemblyBrowser.Dom/DomCecilField.cs,
	  MonoDevelop.AssemblyBrowser.Dom/DomCecilAttribute.cs,
	  MonoDevelop.AssemblyBrowser.Dom/DomCecilProperty.cs,
	  MonoDevelop.AssemblyBrowser/ModuleDefinitionNodeBuilder.cs,
	  MonoDevelop.AssemblyBrowser/ModuleReferenceNodeBuilder.cs,
	  MonoDevelop.AssemblyBrowser/Decompiler.cs,
	  MonoDevelop.AssemblyBrowser/BaseTypeFolderNodeBuilder.cs,
	  MonoDevelop.AssemblyBrowser/AssemblyBrowserWidget.cs,
	  MonoDevelop.AssemblyBrowser/AssemblyNodeBuilder.cs,
	  MonoDevelop.AssemblyBrowser/DomMethodNodeBuilder.cs,
	  MonoDevelop.AssemblyBrowser/DomTypeNodeBuilder.cs,
	  MonoDevelop.AssemblyBrowser/ResourceFolderNodeBuilder.cs,
	  MonoDevelop.AssemblyBrowser/NamespaceBuilder.cs,
	  MonoDevelop.AssemblyBrowser/ResourceNodeBuilder.cs,
	  MonoDevelop.AssemblyBrowser/ErrorNodeBuilder.cs,
	  MonoDevelop.AssemblyBrowser/ReferenceFolderNodeBuilder.cs:
	  Refactored dom cecil layer.

2008-06-04  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.AssemblyBrowser.addin.xml: Bump MD version.

2008-05-27  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.AssemblyBrowser.Dom/DomCecilCompilationUnit.cs,
	  MonoDevelop.AssemblyBrowser.Dom/DomCecilMethod.cs,
	  MonoDevelop.AssemblyBrowser.Dom/DomCecilParameter.cs,
	  MonoDevelop.AssemblyBrowser.Dom/DomCecilType.cs,
	  MonoDevelop.AssemblyBrowser.Dom/DomCecilEvent.cs,
	  MonoDevelop.AssemblyBrowser.Dom/DomCecilReturnType.cs,
	  MonoDevelop.AssemblyBrowser.Dom/DomCecilField.cs,
	  MonoDevelop.AssemblyBrowser.Dom/DomCecilAttribute.cs,
	  MonoDevelop.AssemblyBrowser.Dom/DomCecilProperty.cs,
	  MonoDevelop.AssemblyBrowser.mdp,
	  MonoDevelop.AssemblyBrowser/ModuleDefinitionNodeBuilder.cs,
	  MonoDevelop.AssemblyBrowser/ModuleReferenceNodeBuilder.cs,
	  MonoDevelop.AssemblyBrowser/BaseTypeFolderNodeBuilder.cs,
	  MonoDevelop.AssemblyBrowser/AssemblyBrowserWidget.cs,
	  MonoDevelop.AssemblyBrowser/AssemblyNodeBuilder.cs,
	  MonoDevelop.AssemblyBrowser/Namespace.cs,
	  MonoDevelop.AssemblyBrowser/DomMethodNodeBuilder.cs,
	  MonoDevelop.AssemblyBrowser/DomTypeNodeBuilder.cs,
	  MonoDevelop.AssemblyBrowser/DomEventNodeBuilder.cs,
	  MonoDevelop.AssemblyBrowser/DomReturnTypeNodeBuilder.cs,
	  MonoDevelop.AssemblyBrowser/ResourceFolderNodeBuilder.cs,
	  MonoDevelop.AssemblyBrowser/DomFieldNodeBuilder.cs,
	  MonoDevelop.AssemblyBrowser/DomPropertyNodeBuilder.cs,
	  MonoDevelop.AssemblyBrowser/NamespaceBuilder.cs,
	  MonoDevelop.AssemblyBrowser/ResourceNodeBuilder.cs,
	  MonoDevelop.AssemblyBrowser/ErrorNodeBuilder.cs,
	  MonoDevelop.AssemblyBrowser/ReferenceFolderNodeBuilder.cs,
	  MonoDevelop.AssemblyBrowser/BaseTypeFolder.cs: Added new dom & new
	  class browser.

2008-05-21  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.AssemblyBrowser.mdp: New project model changes.

2008-04-08  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.AssemblyBrowser.addin.xml: Updated assembly browser for
	  the managed editor.

2008-03-12  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.AssemblyBrowser/DomFieldNodeBuilder.cs: fixed warning.

2008-03-02  Marcos David Marín Amador <MarcosMarin@gmail.com> 

	* MonoDevelop.AssemblyBrowser/AssemblyBrowserWidget.cs: Workaraound a bug in
	  mono 1.2.4 where anonymous delegates ignore usings.

2008-02-27  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.AssemblyBrowser/AssemblyBrowserWidget.cs: worked on search
	  feature.

2008-02-26  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.AssemblyBrowser/AssemblyBrowserWidget.cs: Added progress bar
	  for search operations.

2008-02-26  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.AssemblyBrowser/Decompiler.cs,
	  MonoDevelop.AssemblyBrowser/AssemblyBrowserWidget.cs,
	  MonoDevelop.AssemblyBrowser/DomMethodNodeBuilder.cs: Added search in
	  disassembler/decompiler feature (helpful for compiler writers).

2008-02-26  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.AssemblyBrowser/AssemblyBrowserWidget.cs: added some gettext
	  calls.

2008-02-25  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.AssemblyBrowser.Dom/DomCecilCompilationUnit.cs,
	  MonoDevelop.AssemblyBrowser/BaseTypeFolderNodeBuilder.cs,
	  MonoDevelop.AssemblyBrowser/AssemblyBrowserWidget.cs,
	  MonoDevelop.AssemblyBrowser/DomMethodNodeBuilder.cs,
	  MonoDevelop.AssemblyBrowser/DomTypeNodeBuilder.cs,
	  MonoDevelop.AssemblyBrowser/DomEventNodeBuilder.cs,
	  MonoDevelop.AssemblyBrowser/DomFieldNodeBuilder.cs,
	  MonoDevelop.AssemblyBrowser/DomPropertyNodeBuilder.cs: Worked on
	  assembly browser (search types & members)

2008-02-24  Mike Krüger <mkrueger@novell.com> 

	* gtk-gui/MonoDevelop.AssemblyBrowser.AssemblyBrowserWidget.cs,
	  MonoDevelop.AssemblyBrowser/AssemblyBrowserView.cs,
	  MonoDevelop.AssemblyBrowser/AssemblyBrowserWidget.cs,
	  MonoDevelop.AssemblyBrowser/DomMethodNodeBuilder.cs: Worked on assembly
	  browser.

2008-02-24  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.AssemblyBrowser.Dom/DomCecilMethod.cs,
	  MonoDevelop.AssemblyBrowser.Dom/DomCecilType.cs,
	  MonoDevelop.AssemblyBrowser.Dom/DomCecilEvent.cs,
	  MonoDevelop.AssemblyBrowser.Dom/DomCecilField.cs,
	  MonoDevelop.AssemblyBrowser.Dom/DomCecilProperty.cs,
	  MonoDevelop.AssemblyBrowser/DomMethodNodeBuilder.cs,
	  MonoDevelop.AssemblyBrowser/DomTypeNodeBuilder.cs,
	  MonoDevelop.AssemblyBrowser/DomEventNodeBuilder.cs,
	  MonoDevelop.AssemblyBrowser/DomFieldNodeBuilder.cs,
	  MonoDevelop.AssemblyBrowser/DomPropertyNodeBuilder.cs: Worked on
	  assembly browser.

2008-02-23  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.AssemblyBrowser/Decompiler.cs: Added new decompiler changes
	  from Andrea. (most opcodes should work (however switch ... case doesn't
	  work yet))

2008-02-16  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.AssemblyBrowser/Decompiler.cs,
	  MonoDevelop.AssemblyBrowser/DomMethodNodeBuilder.cs: Added basic c#
	  decompiler (Very BASIC).

2008-02-15  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.AssemblyBrowser.Dom/DomCecilType.cs: Changed dom.

2008-02-07  Zach Lute <zach.lute@gmail.com> 

	* MonoDevelop.AssemblyBrowser/AssemblyBrowserWidget.cs: Fix to use a full
	  qualifier in an anonymous delegate so things would build in Mono 1.2.4.

2008-02-07  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.AssemblyBrowser/DomMethodNodeBuilder.cs: Formated the IL
	  output a bit nicer.

2008-02-07  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.AssemblyBrowser.Dom/DomCecilParameter.cs,
	  MonoDevelop.AssemblyBrowser.Dom/DomCecilEvent.cs,
	  MonoDevelop.AssemblyBrowser.Dom/DomCecilField.cs,
	  MonoDevelop.AssemblyBrowser.Dom/DomCecilAttribute.cs,
	  MonoDevelop.AssemblyBrowser.Dom/DomCecilProperty.cs,
	  MonoDevelop.AssemblyBrowser/AssemblyBrowserWidget.cs,
	  MonoDevelop.AssemblyBrowser/DomTypeNodeBuilder.cs: Fixed some compile
	  warnings.

2008-02-07  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.AssemblyBrowser.mdp, Makefile.am: Added assembly browser to
	  the build.

2008-02-07  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.AssemblyBrowser.mdp, Makefile.am: Added makefile.

2008-02-07  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.AssemblyBrowser.Dom/DomCecilType.cs,
	  MonoDevelop.AssemblyBrowser.Dom/DomCecilReturnType.cs,
	  MonoDevelop.AssemblyBrowser.Dom/DomCecilAttribute.cs,
	  MonoDevelop.AssemblyBrowser.mdp,
	  MonoDevelop.AssemblyBrowser/ModuleDefinitionNodeBuilder.cs,
	  MonoDevelop.AssemblyBrowser/ModuleReferenceNodeBuilder.cs,
	  MonoDevelop.AssemblyBrowser/AssemblyBrowserWidget.cs,
	  MonoDevelop.AssemblyBrowser/AssemblyNodeBuilder.cs,
	  MonoDevelop.AssemblyBrowser/DomMethodNodeBuilder.cs,
	  MonoDevelop.AssemblyBrowser/DomTypeNodeBuilder.cs,
	  MonoDevelop.AssemblyBrowser/DomEventNodeBuilder.cs,
	  MonoDevelop.AssemblyBrowser/DomFieldNodeBuilder.cs,
	  MonoDevelop.AssemblyBrowser/DomPropertyNodeBuilder.cs,
	  MonoDevelop.AssemblyBrowser/NamespaceBuilder.cs,
	  MonoDevelop.AssemblyBrowser/IAssemblyBrowserNodeBuilder.cs: Worked on
	  assembly browser.

2008-02-07  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.AssemblyBrowser/AssemblyBrowserWidget.cs: Changed pane
	  positioning.

2008-02-07  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.AssemblyBrowser.Dom/DomCecilType.cs,
	  MonoDevelop.AssemblyBrowser/AssemblyBrowserWidget.cs,
	  MonoDevelop.AssemblyBrowser/DomTypeNodeBuilder.cs,
	  MonoDevelop.AssemblyBrowser/DomEventNodeBuilder.cs,
	  MonoDevelop.AssemblyBrowser/DomReturnTypeNodeBuilder.cs: Dom output is
	  now used for all nodes.

2008-02-07  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.AssemblyBrowser/AssemblyBrowserWidget.cs: Changed disassembler
	  colors & font.

2008-02-07  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.AssemblyBrowser/AssemblyBrowserWidget.cs: Assembly browser can
	  now be used to open referenced assemblies.

2008-02-07  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.AssemblyBrowser.Dom/DomCecilMethod.cs,
	  MonoDevelop.AssemblyBrowser.mdp,
	  MonoDevelop.AssemblyBrowser/AssemblyBrowserWidget.cs,
	  MonoDevelop.AssemblyBrowser/DomMethodNodeBuilder.cs,
	  MonoDevelop.AssemblyBrowser/DomEventNodeBuilder.cs,
	  MonoDevelop.AssemblyBrowser/DomTypeNodeBuilder.cs,
	  MonoDevelop.AssemblyBrowser/DomFieldNodeBuilder.cs,
	  MonoDevelop.AssemblyBrowser/DomPropertyNodeBuilder.cs,
	  MonoDevelop.AssemblyBrowser/NamespaceBuilder.cs,
	  MonoDevelop.AssemblyBrowser/IAssemblyBrowserNodeBuilder.cs: Worked on
	  assembly browser.

2008-02-07  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.AssemblyBrowser.Dom/DomCecilMethod.cs,
	  MonoDevelop.AssemblyBrowser.Dom/DomCecilParameter.cs,
	  MonoDevelop.AssemblyBrowser.Dom/DomCecilType.cs,
	  MonoDevelop.AssemblyBrowser.Dom/DomCecilEvent.cs,
	  MonoDevelop.AssemblyBrowser.Dom/DomCecilReturnType.cs,
	  MonoDevelop.AssemblyBrowser.Dom/DomCecilField.cs,
	  MonoDevelop.AssemblyBrowser.Dom/DomCecilProperty.cs,
	  MonoDevelop.AssemblyBrowser/BaseTypeFolderNodeBuilder.cs,
	  MonoDevelop.AssemblyBrowser/AssemblyBrowserWidget.cs,
	  MonoDevelop.AssemblyBrowser/DomMethodNodeBuilder.cs,
	  MonoDevelop.AssemblyBrowser/DomReturnTypeNodeBuilder.cs,
	  MonoDevelop.AssemblyBrowser/DomEventNodeBuilder.cs,
	  MonoDevelop.AssemblyBrowser/DomTypeNodeBuilder.cs,
	  MonoDevelop.AssemblyBrowser/DomFieldNodeBuilder.cs,
	  MonoDevelop.AssemblyBrowser/DomPropertyNodeBuilder.cs,
	  MonoDevelop.AssemblyBrowser/BaseTypeFolder.cs: Worked on assembly
	  browser (Now using dom output).

2008-02-07  Mike Krüger <mkrueger@novell.com> 

	

